Billing
Get signup attribution and lifetime referral rewards
GET
/
v1
/
account
/
referrals
Get signup attribution and lifetime referral rewards
curl --request GET \
--url https://console.sqwish.ai/v1/account/referrals \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sqwish.ai/v1/account/referrals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sqwish.ai/v1/account/referrals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
"<unknown>"
],
"verified_signups": 123,
"rewards_issued": 123,
"lifetime_limit": 123,
"reward_usd": "<string>",
"minimum_purchase_usd": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}Authorizations
Create an API key in the console. Required when accounts are enabled.
Get signup attribution and lifetime referral rewards
curl --request GET \
--url https://console.sqwish.ai/v1/account/referrals \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sqwish.ai/v1/account/referrals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sqwish.ai/v1/account/referrals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
"<unknown>"
],
"verified_signups": 123,
"rewards_issued": 123,
"lifetime_limit": 123,
"reward_usd": "<string>",
"minimum_purchase_usd": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}